Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 88)
@@ -31,11 +31,15 @@
 {
     public partial class FrmSelectPayment : Form
     {
+        #region 使用定義
         /// <summary>
         /// ロガー
         /// </summary>
         private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
 
+        #endregion
+
+        #region 定数
         /// <summary>
         /// 承認状態
         /// </summary>
@@ -222,7 +226,11 @@
             ApprovalAuthority10,
             ApprovalDate10
         }
+        #endregion
 
+        #region クラス定義
+
+        #region 承認情報クラス定義
         /// <summary>
         /// 承認情報
         /// </summary>
@@ -233,7 +241,9 @@
             public int Order { get; set; }
             public int ApprovalAuthority { get; set; }
         }
+        #endregion
 
+        #region 請求先キークラス定義
         /// <summary>
         /// 請求先キー
         /// </summary>
@@ -242,7 +252,9 @@
             public int OrderersDivision;
             public int OrderersCode;
         }
+        #endregion
 
+        #region 入金請求先情報クラス定義
         /// <summary>
         /// 入金請求先情報
         /// </summary>
@@ -327,7 +339,9 @@
                 }
             }
         }
+        #endregion
 
+        #region 入金情報クラス定義
         /// <summary>
         /// 入金情報
         /// </summary>
@@ -338,8 +352,8 @@
             public bool Deleted = false;
             public int SeqNo;
             public string DepositDate;
-            public int? DepositAmountCash;
-            public int? DepositAmountBill;
+            public long? DepositAmountCash;
+            public long? DepositAmountBill;
             public bool CanRemove
             {
                 get
@@ -352,7 +366,9 @@
                 }
             }
         }
+        #endregion
 
+        #region 入金明細情報クラス定義
         /// <summary>
         /// 入金明細情報
         /// </summary>
@@ -370,14 +386,14 @@
             public string ConstructionNameRow;
             //public string PaymentSchedule;
             public string BillCreationDate;
-            public int BillPrice;
-            public int TaxPrice;
-            public int DepositAmount;
-            public int DiscountAmount;
-            public int CnstrPrice;
-            public int Fees;
-            public int OtherAdjustments;
-            public int CarryAmount;
+            public long BillPrice;
+            public long TaxPrice;
+            public long DepositAmount;
+            public long DiscountAmount;
+            public long CnstrPrice;
+            public long Fees;
+            public long OtherAdjustments;
+            public long CarryAmount;
             public string ApprovalPersonName;
             public int ApprovalPersonCode;
             public string ApprovalDate;
@@ -413,7 +429,9 @@
                 }
             }
         }
+        #endregion
 
+        #region 入金確認承認情報クラス定義
         /// <summary>
         /// 入金確認承認情報
         /// </summary>
@@ -427,22 +445,39 @@
             public int ApprovalAuthority;
             public string ApprovalDate;
         }
+        #endregion
 
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 入金請求先情報リスト
+        /// </summary>
         private List<DepositOrderer> depositOrderers;
 
-        /// <summary>編集フラグ</summary>
+        /// <summary>
+        /// 編集フラグ
+        /// </summary>
         private bool isDirty = false;
 
-        /// <summary>編集前のセルの内容</summary>
+        /// <summary>
+        /// 編集前のセルの内容
+        /// </summary>
         private string oldCellValue = "";
 
-        /// <summary>データ表示の対象月</summary>
+        /// <summary>
+        /// データ表示の対象月
+        /// </summary>
         private int m_Select_TargetDate = 0;
 
-        /// <summary>終了ボタン押下フラグ</summary>
+        /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
         private bool m_CloseingProcessOff = false;
 
-        // ユーザー情報
+        /// <summary>
+        /// ユーザ情報
+        /// </summary>
         private ClsSecurityPermission.UserInfo m_UserInfo = new ClsSecurityPermission.UserInfo()
         {
             m_Type = CommonDefine.SecurityRankPos.NormalAuthority,
@@ -449,7 +484,9 @@
             m_GeneralAffairsFlg = 0,
             m_SecRange = ClsSecurityPermission.SecRangeType.InCharge
         };
+        #endregion
 
+        #region コンストラクタ
         /// <summary>
         /// コンストラクタ
         /// </summary>
@@ -457,7 +494,9 @@
         {
             InitializeComponent();
         }
+        #endregion
 
+        #region フォームロードイベント
         /// <summary>
         /// フォームロードイベント
         /// </summary>
@@ -469,7 +508,7 @@
             {
                 // 対象月コンボBOX設定
                 IODepositData IoDd = new IODepositData();
-                string now = DateTime.UtcNow.ToString("yyyy/MM");
+                string now = DateTime.Now.ToString("yyyy/MM");
                 List<DepositData> lstDd = new List<DepositData>();
                 List<string> lstDate = new List<string>();
 
@@ -484,8 +523,8 @@
                     lstDate.Insert(0, now);
                 }
 
-                comboBox1.Items.AddRange(lstDate.ToArray());
-                comboBox1.SelectedIndex = lstDate.IndexOf(now);
+                cbTargetMonth.Items.AddRange(lstDate.ToArray());
+                cbTargetMonth.SelectedIndex = lstDate.IndexOf(now);
 
                 // ユーザ権限設定
                 ClsSecurityPermission.SetUserType(m_UserInfo);
@@ -508,7 +547,9 @@
                 dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
             }
         }
+        #endregion
 
+        #region 発注者追加ボタン押下時のイベント
         /// <summary>
         /// 発注者追加ボタン押下時のイベント
         /// </summary>
@@ -528,7 +569,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 発注者削除ボタン押下時のイベント
         /// <summary>
         /// 発注者削除ボタン押下時のイベント
         /// </summary>
@@ -561,7 +604,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 現場追加ボタン押下時のイベント
         /// <summary>
         /// 現場追加ボタン押下時のイベント
         /// </summary>
@@ -575,11 +620,11 @@
                 if (dgvMaster.RowCount <= 0)
                     return;
                 // 現場が不明の場合のみ追加可能
-                if (!IsUnknownRow(dgvMaster.CurrentCell.RowIndex))
-                {
-                    MessageBox.Show("不明以外の行が選択されています。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                    return;
-                }
+                //if (!IsUnknownRow(dgvMaster.CurrentCell.RowIndex))
+                //{
+                //    MessageBox.Show("不明以外の行が選択されています。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                //    return;
+                //}
                 var depositOrderer = FindDepositOrderer(dgvMaster.CurrentCell.RowIndex);
                 var f = new FrmSelectRegField();
                 f.m_OrderersDivision = depositOrderer.OrderersDivision;
@@ -605,16 +650,32 @@
                 }
                 // 不明行を渡す必要がある
                 var unknownIndex = DetectUnknownIndex(dgvMaster.CurrentCell.RowIndex);
-                var unknownCell = dgvMaster.Rows[unknownIndex].Cells;
-                f.m_lstMyField.Add(new FrmSelectRegField.MyFieldData()
+                if (unknownIndex > -1)
                 {
-                    OrderersDivision = depositOrderer.OrderersDivision,
-                    OrderersCode = depositOrderer.OrderersCode,
-                    ConstructionName = CommonMotions.cnvString(unknownCell[(int)DispColumn.ConstructionName].Value),
-                    ConstructionName_Raw = CommonMotions.cnvString(unknownCell[(int)DispColumn.ConstructionName_Raw].Value),
-                    DepositAmount = CommonMotions.cnvInt(unknownCell[(int)DispColumn.DepositAmount].Value),
-                    ReadOnly = true,
-                });
+                    var unknownCell = dgvMaster.Rows[unknownIndex].Cells;
+                    f.m_lstMyField.Add(new FrmSelectRegField.MyFieldData()
+                    {
+                        OrderersDivision = depositOrderer.OrderersDivision,
+                        OrderersCode = depositOrderer.OrderersCode,
+                        ConstructionName = CommonMotions.cnvString(unknownCell[(int)DispColumn.ConstructionName].Value),
+                        ConstructionName_Raw = CommonMotions.cnvString(unknownCell[(int)DispColumn.ConstructionName_Raw].Value),
+                        DepositAmount = CommonMotions.cnvLong(unknownCell[(int)DispColumn.DepositAmount].Value),
+                        ReadOnly = true,
+                    });
+                }
+                else
+                {
+                    f.m_lstMyField.Add(new FrmSelectRegField.MyFieldData()
+                    {
+                        OrderersDivision = depositOrderer.OrderersDivision,
+                        OrderersCode = depositOrderer.OrderersCode,
+                        ConstructionName = "",
+                        ConstructionName_Raw = "",
+                        DepositAmount = 0,
+                        ReadOnly = true,
+                    });
+                }
+
                 f.FormClosed += new FormClosedEventHandler(NotifyAddFld_FormClosed);
                 f.ShowDialog(this);
             }
@@ -623,7 +684,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 表示ボタン押下時のイベント
         /// <summary>
         /// 表示ボタン押下時のイベント
         /// </summary>
@@ -657,7 +720,9 @@
                 dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
             }
         }
+        #endregion
 
+        #region ×ボタン押下時のイベント
         /// <summary>
         /// ×ボタン押下時のイベント
         /// </summary>
@@ -687,7 +752,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 終了ボタンクリック時のイベント
         /// <summary>
         /// 終了ボタンクリック時のイベント
         /// </summary>
@@ -713,6 +780,7 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
         #region 入金情報掲示板データ登録
         /// <summary>
@@ -816,7 +884,35 @@
         }
         #endregion
 
+        #region 承認完了フラグの判定
         /// <summary>
+        /// 承認完了フラグの判定
+        /// </summary>
+        /// <param name="lstApprovals"></param>
+        /// <returns></returns>
+        private bool jadgeApprovalEndFlg(List<DepositApproval> lstApprovals)
+        {
+            bool ret = true;
+
+            foreach (DepositApproval app in lstApprovals)
+            {
+
+                if(( app.ApprovalAuthority == 1 )&&(app.ApprovalDate != string.Empty))
+                {
+                    return true;
+                }
+
+                if (app.ApprovalDate == string.Empty)
+                {
+                    ret = false;
+                }
+            }
+            return ret;
+        }
+        #endregion
+
+        #region 登録ボタンクリック時のイベント
+        /// <summary>
         /// 登録ボタンクリック時のイベント
         /// </summary>
         /// <param name="sender"></param>
@@ -938,8 +1034,7 @@
                             if (!ioDepositApprovalInfo.DeleteAction(sql))
                                 throw new Exception();
                             // 入金明細データを削除した場合は、対応する請求合計データを割当未とする
-                            sql = string.Format(" where RequestNo = {0} and OrderNo = {1} ",
-                                depositDetail.RequestNo, depositDetail.OrderNo);
+                            sql = string.Format(" where RequestNo = {0} ", depositDetail.RequestNo);
                             var lstRtd = new List<RequestHead>();
                             if (!ioRequestHead.SelectAction(sql, ref lstRtd))
                                 throw new Exception();
@@ -946,7 +1041,7 @@
                             foreach (var rtd in lstRtd)
                             {
                                 rtd.AssignedFlg = 0;
-                                if (!ioRequestHead.UpdateAction("", rtd))
+                                if (!ioRequestHead.UpdateAction(sql, rtd))
                                     throw new Exception();
                             }
                             continue;
@@ -967,6 +1062,7 @@
                             OtherAdjustments = depositDetail.OtherAdjustments,
                             CarryAmount = depositDetail.CarryAmount,
                             ApprovalPersonCode = depositDetail.ApprovalPersonCode,
+                            ApprovalEndFlg = jadgeApprovalEndFlg(depositDetail.DepositApprovals), 
                         };
                         var approvalDate = new DateTime(2000, 1, 1);
                         if (DateTime.TryParse(depositDetail.ApprovalDate, out approvalDate))
@@ -980,8 +1076,7 @@
                             if (!ioDepositDataDetail.InsertAction(depositDataDetail))
                                 throw new Exception();
                             // 入金明細データを追加した場合は、対応する請求合計データを割当済みとする
-                            var sql = string.Format(" where RequestNo = {0} and OrderNo = {1} ",
-                                depositDataDetail.RequestNo, depositDataDetail.OrderNo);
+                            var sql = string.Format(" where RequestNo = {0}", depositDataDetail.RequestNo);
                             var lstRtd = new List<RequestHead>();
                             if (!ioRequestHead.SelectAction(sql, ref lstRtd))
                                 throw new Exception();
@@ -988,7 +1083,7 @@
                             foreach (var rtd in lstRtd)
                             {
                                 rtd.AssignedFlg = 1;
-                                if (!ioRequestHead.UpdateAction("", rtd))
+                                if (!ioRequestHead.UpdateAction(sql, rtd))
                                     throw new Exception();
                             }
                             // 入金確認承認データの登録
@@ -1018,16 +1113,14 @@
                         // 更新処理
                         else
                         {
-                            if (depositDetail.Editted)
-                            {
-                                if (!ioDepositDataDetail.UpdateAction("", depositDataDetail))
-                                    throw new Exception();
-                            }
                             // 入金確認承認データの更新
                             foreach (var approval in depositDetail.DepositApprovals)
                             {
                                 if (approval.Editted)
                                 {
+                                    // 承認に変更があるケースは強制的に明細も更新
+                                    depositDetail.Editted = true;
+
                                     var da = new DepositApprovalInfo()
                                     {
                                         OrderersDivision = depositOrderer.OrderersDivision,
@@ -1051,6 +1144,13 @@
                                         throw new Exception();
                                 }
                             }
+
+                            if (depositDetail.Editted)
+                            {
+                                if (!ioDepositDataDetail.UpdateAction("", depositDataDetail))
+                                    throw new Exception();
+                            }
+
                         }
                     }
                 }
@@ -1082,7 +1182,9 @@
                 ioRequestHead.close();
             }
         }
+        #endregion
 
+        #region セルダブルクリックイベント
         /// <summary>
         /// セルダブルクリックイベント
         /// </summary>
@@ -1220,7 +1322,9 @@
                 dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
             }
         }
+        #endregion
 
+        #region セル編集開始時のイベント
         /// <summary>
         /// セル編集開始時のイベント
         /// </summary>
@@ -1239,7 +1343,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region セル編集完了時のイベント
         /// <summary>
         /// セル編集完了時のイベント
         /// </summary>
@@ -1279,13 +1385,13 @@
                     {
                         case (int)DispColumn.DepositAmountCash:
                             if (cellValue != "")
-                                deposit.DepositAmountCash = CommonMotions.cnvInt(cellValue);
+                                deposit.DepositAmountCash = CommonMotions.cnvLong(cellValue);
                             else
                                 deposit.DepositAmountCash = null;
                             break;
                         case (int)DispColumn.DepositAmountBill:
                             if (cellValue != "")
-                                deposit.DepositAmountBill = CommonMotions.cnvInt(cellValue);
+                                deposit.DepositAmountBill = CommonMotions.cnvLong(cellValue);
                             else
                                 deposit.DepositAmountBill = null;
                             break;
@@ -1314,7 +1420,7 @@
                     || e.ColumnIndex == (int)DispColumn.CarryAmount)
                 {
                     var depositDetail = depositOrderer.FindDepositDetailByLineCount(CommonMotions.cnvInt(cells[(int)DispColumn.LineCount].Value));
-                    var amount = CommonMotions.cnvInt(cellValue);
+                    long amount = CommonMotions.cnvLong(cellValue);
                     switch (e.ColumnIndex)
                     {
                         case (int)DispColumn.DepositAmount:
@@ -1354,7 +1460,9 @@
                 dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
             }
         }
-        
+        #endregion
+
+        #region 発注者追加ダイアログクローズ通知
         /// <summary>
         /// 発注者追加ダイアログクローズ通知
         /// </summary>
@@ -1408,7 +1516,9 @@
                 dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
             }
         }
+        #endregion
 
+        #region 現場登録ダイアログクローズ通知
         /// <summary>
         /// 現場登録ダイアログクローズ通知
         /// </summary>
@@ -1473,6 +1583,7 @@
                                     ApprovalPerson = approve.Key,
                                     ApprovalDate = "",
                                     ApprovalNo = approve.Order,
+                                    ApprovalAuthority = approve.ApprovalAuthority,
                                 };
                                 depositDetail.DepositApprovals.Add(da);
                             }
@@ -1518,7 +1629,9 @@
                 dgvMaster.CellValueChanged += DataGridView_CellValueChanged;
             }
         }
+        #endregion
 
+        #region 対象月コンボボックスを表示時点の設定月に戻す。
         /// <summary>
         /// 対象月コンボボックスを表示時点の設定月に戻す。
         /// </summary>
@@ -1525,9 +1638,11 @@
         private void ResetTargetDate()
         {
             var selectedDate = m_Select_TargetDate.ToString().Insert(4, "/");
-            comboBox1.SelectedItem = selectedDate;
+            cbTargetMonth.SelectedItem = selectedDate;
         }
+        #endregion
 
+        #region 入金請求先一覧を取得する。
         /// <summary>
         /// 入金請求先一覧を取得する。
         /// </summary>
@@ -1569,8 +1684,8 @@
                     var d = new Deposit();
                     d.SeqNo = CommonMotions.cnvInt(deposit[(int)ClickGetData.SeqNo]);
                     d.DepositDate = CommonMotions.cnvString(deposit[(int)ClickGetData.DepositDate]);
-                    d.DepositAmountCash = CommonMotions.cnvInt(deposit[(int)ClickGetData.DepositAmountCash]);
-                    d.DepositAmountBill = CommonMotions.cnvInt(deposit[(int)ClickGetData.DepositAmountBill]);
+                    d.DepositAmountCash = CommonMotions.cnvLong(deposit[(int)ClickGetData.DepositAmountCash]);
+                    d.DepositAmountBill = CommonMotions.cnvLong(deposit[(int)ClickGetData.DepositAmountBill]);
                     o.Deposits.Add(d);
                 }
                 // 入金明細データ
@@ -1590,14 +1705,14 @@
                     }
                     // 入金予定日未実装
                     dd.BillCreationDate = CommonMotions.cnvString(detail[(int)ClickGetData.BillCreationDate]);
-                    dd.BillPrice = CommonMotions.cnvInt(detail[(int)ClickGetData.BillPrice]);
-                    dd.TaxPrice = CommonMotions.cnvInt(detail[(int)ClickGetData.TaxPrice]);
-                    dd.DepositAmount = CommonMotions.cnvInt(detail[(int)ClickGetData.DepositAmount]);
-                    dd.DiscountAmount = CommonMotions.cnvInt(detail[(int)ClickGetData.DiscountAmount]);
-                    dd.CnstrPrice = CommonMotions.cnvInt(detail[(int)ClickGetData.CnstrPrice]);
-                    dd.Fees = CommonMotions.cnvInt(detail[(int)ClickGetData.Fees]);
-                    dd.OtherAdjustments = CommonMotions.cnvInt(detail[(int)ClickGetData.OtherAdjustments]);
-                    dd.CarryAmount = CommonMotions.cnvInt(detail[(int)ClickGetData.CarryAmount]);
+                    dd.BillPrice = CommonMotions.cnvLong(detail[(int)ClickGetData.BillPrice]);
+                    dd.TaxPrice = CommonMotions.cnvLong(detail[(int)ClickGetData.TaxPrice]);
+                    dd.DepositAmount = CommonMotions.cnvLong(detail[(int)ClickGetData.DepositAmount]);
+                    dd.DiscountAmount = CommonMotions.cnvLong(detail[(int)ClickGetData.DiscountAmount]);
+                    dd.CnstrPrice = CommonMotions.cnvLong(detail[(int)ClickGetData.CnstrPrice]);
+                    dd.Fees = CommonMotions.cnvLong(detail[(int)ClickGetData.Fees]);
+                    dd.OtherAdjustments = CommonMotions.cnvLong(detail[(int)ClickGetData.OtherAdjustments]);
+                    dd.CarryAmount = CommonMotions.cnvLong(detail[(int)ClickGetData.CarryAmount]);
                     dd.ApprovalPersonCode = CommonMotions.cnvInt(detail[(int)ClickGetData.ApprovalPersonCode]);
                     dd.ApprovalEndFlg = CommonMotions.cnvInt(detail[(int)ClickGetData.ApprovalEndFlg]);
                     dd.ApprovalPersonName = CommonMotions.cnvString(detail[(int)ClickGetData.PersonName]);
@@ -1658,6 +1773,7 @@
                                 ApprovalPerson = approve.Key,
                                 ApprovalDate = "",
                                 ApprovalNo = approve.Order,
+                                ApprovalAuthority = approve.ApprovalAuthority,
                             };
                             dd.DepositApprovals.Add(da);
                         }
@@ -1668,7 +1784,9 @@
             }
             return data;
         }
+        #endregion
 
+        #region 入金データを取得する。
         /// <summary>
         /// 入金データを取得する。
         /// </summary>
@@ -1706,7 +1824,9 @@
                 return new ArrayList();
             }
         }
+        #endregion
 
+        #region 入金明細データを取得する。
         /// <summary>
         /// 入金明細データを取得する。
         /// </summary>
@@ -1783,7 +1903,9 @@
                 return new ArrayList();
             }
         }
+        #endregion
 
+        #region 入金確認承認データより、承認者を取得する。
         /// <summary>
         /// 入金確認承認データより、承認者を取得する。
         /// </summary>
@@ -1814,7 +1936,9 @@
                 ioDai = null;
             }
         }
+        #endregion
 
+        #region 業者行の内容を更新する。
         /// <summary>
         /// 業者行の内容を更新する。
         /// </summary>
@@ -1841,7 +1965,9 @@
                 dgvMaster.ResumeLayout();
             }
         }
+        #endregion
 
+        #region 業者行を削除する。
         /// <summary>
         /// 業者行を削除する。
         /// </summary>
@@ -1858,7 +1984,9 @@
                 }
             }
         }
+        #endregion
 
+        #region 業者行を追加する。
         /// <summary>
         /// 業者行を追加する。
         /// </summary>
@@ -1968,7 +2096,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region データを表示する。
         /// <summary>
         /// データを表示する。
         /// </summary>
@@ -1977,7 +2107,7 @@
             try
             {
                 // 選択対象月の退避
-                m_Select_TargetDate = CommonMotions.cnvInt(CommonMotions.cnvString(comboBox1.SelectedItem).Replace("/", ""));
+                m_Select_TargetDate = CommonMotions.cnvInt(CommonMotions.cnvString(cbTargetMonth.SelectedItem).Replace("/", ""));
                 depositOrderers = new List<DepositOrderer>();
                 dgvMaster.Rows.Clear();
                 // データの取得
@@ -2008,7 +2138,9 @@
                 }
             }
         }
+        #endregion
 
+        #region 不明行かを判定する。
         /// <summary>
         /// 不明行かを判定する。
         /// </summary>
@@ -2020,7 +2152,9 @@
             return CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName].Value) == "不明"
                 && CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName_Raw].Value) == "";
         }
+        #endregion
 
+        #region 空白行かを判定する。
         /// <summary>
         /// 空白行かを判定する。
         /// </summary>
@@ -2034,7 +2168,9 @@
                 && CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName].Value) == ""
                 && CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName_Raw].Value) == "";
         }
+        #endregion
 
+        #region 不明行の設定を行う。
         /// <summary>
         /// 不明行の設定を行う。
         /// </summary>
@@ -2042,19 +2178,19 @@
         private void AddUnknownRow(DepositOrderer depositOrderer, int index)
         {
             // 不明行金額の計算
-            var depositAmountCash = 0;
-            var depositAmountBill = 0;
+            long depositAmountCash = 0;
+            long depositAmountBill = 0;
             foreach (var deposit in depositOrderer.Deposits)
             {
                 depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
                 depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
             }
-            var depositAmount = 0;
+            long depositAmount = 0;
             foreach (var depositDetail in depositOrderer.DepositDetails)
             {
                 depositAmount += depositDetail.DepositAmount;
             }
-            var unknownAmount = (depositAmountCash + depositAmountBill) - depositAmount;
+            long unknownAmount = (depositAmountCash + depositAmountBill) - depositAmount;
             if (unknownAmount <= 0)
                 return;
             // 不明行は入金明細の一番下に作成する
@@ -2076,17 +2212,24 @@
             row.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = readOnly;
             SetPrice(row.Cells, (int)DispColumn.DepositAmount, unknownAmount);
         }
+        #endregion
 
-        private int CalculateDifference(DepositOrderer depositOrderer)
+        #region 差額の算出
+        /// <summary>
+        /// 差額の算出
+        /// </summary>
+        /// <param name="depositOrderer"></param>
+        /// <returns></returns>
+        private long CalculateDifference(DepositOrderer depositOrderer)
         {
-            var depositAmountCash = 0;
-            var depositAmountBill = 0;
+            long depositAmountCash = 0;
+            long depositAmountBill = 0;
             foreach (var deposit in depositOrderer.Deposits)
             {
                 depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
                 depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
             }
-            var depositAmount = 0;
+            long depositAmount = 0;
             foreach (var depositDetail in depositOrderer.DepositDetails)
             {
                 depositAmount += depositDetail.DepositAmount;
@@ -2093,7 +2236,9 @@
             }
             return depositAmountCash + depositAmountBill - depositAmount;
         }
+        #endregion
 
+        #region 合計行の設定を行う。
         /// <summary>
         /// 合計行の設定を行う。
         /// </summary>
@@ -2100,21 +2245,21 @@
         /// <param name="index"></param>
         private void AddTotalRow(DepositOrderer depositOrderer, int index)
         {
-            var depositAmountCash = 0;
-            var depositAmountBill = 0;
+            long depositAmountCash = 0;
+            long depositAmountBill = 0;
             foreach (var deposit in depositOrderer.Deposits)
             {
                 depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
                 depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
             }
-            var billPrice = 0;
-            var taxPrice = 0;
-            var depositAmount = 0;
-            var discountAmount = 0;
-            var cnstrPrice = 0;
-            var fees = 0;
-            var otherAdjustments = 0;
-            var carryAmount = 0;
+            long billPrice = 0;
+            long taxPrice = 0;
+            long depositAmount = 0;
+            long discountAmount = 0;
+            long cnstrPrice = 0;
+            long fees = 0;
+            long otherAdjustments = 0;
+            long carryAmount = 0;
             foreach (var depositDetail in depositOrderer.DepositDetails)
             {
                 billPrice += depositDetail.BillPrice;
@@ -2182,7 +2327,14 @@
             differentCells[(int)DispColumn.OrderersName].Value = "差額";
             SetPrice(differentCells, (int)DispColumn.DepositAmountCash, depositAmountCash + depositAmountBill - depositAmount);
         }
+        #endregion
 
+        #region 指定行からヘッダ行を検索
+        /// <summary>
+        /// 指定行からヘッダ行を検索
+        /// </summary>
+        /// <param name="index"></param>
+        /// <returns></returns>
         private int DetectHeaderIndex(int index)
         {
             for (var i = index; i >= 0; i--)
@@ -2194,14 +2346,21 @@
             }
             return 0;
         }
+        #endregion
 
+        #region 入金請求先情報からヘッダヘッダ行を検索
+        /// <summary>
+        /// 入金請求先情報からヘッダヘッダ行を検索
+        /// </summary>
+        /// <param name="depositOrderer"></param>
+        /// <returns></returns>
         private int DetectHeaderIndex(DepositOrderer depositOrderer)
         {
             for (var i = 0; i < dgvMaster.RowCount; i++)
             {
                 var cells = dgvMaster.Rows[i].Cells;
-                if (CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision]) == depositOrderer.OrderersDivision
-                    && CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode]) == depositOrderer.OrderersCode)
+                if (CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value) == depositOrderer.OrderersDivision
+                    && CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value) == depositOrderer.OrderersCode)
                 {
                     return i;
                 }
